# coding: utf-8

"""
    Identity Service API

    A list of identity, account and service management APIs.  # noqa: E501

    OpenAPI spec version: 1.6.5
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class UserInfo(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'user': 'UserInfoUser',
        'user_org_info': 'list[UserInfoUserOrgInfo]'
    }

    attribute_map = {
        'user': 'user',
        'user_org_info': 'userOrgInfo'
    }

    def __init__(self, user=None, user_org_info=None):  # noqa: E501
        """UserInfo - a model defined in Swagger"""  # noqa: E501
        self._user = None
        self._user_org_info = None
        self.discriminator = None
        if user is not None:
            self.user = user
        if user_org_info is not None:
            self.user_org_info = user_org_info

    @property
    def user(self):
        """Gets the user of this UserInfo.  # noqa: E501


        :return: The user of this UserInfo.  # noqa: E501
        :rtype: UserInfoUser
        """
        return self._user

    @user.setter
    def user(self, user):
        """Sets the user of this UserInfo.


        :param user: The user of this UserInfo.  # noqa: E501
        :type: UserInfoUser
        """

        self._user = user

    @property
    def user_org_info(self):
        """Gets the user_org_info of this UserInfo.  # noqa: E501


        :return: The user_org_info of this UserInfo.  # noqa: E501
        :rtype: list[UserInfoUserOrgInfo]
        """
        return self._user_org_info

    @user_org_info.setter
    def user_org_info(self, user_org_info):
        """Sets the user_org_info of this UserInfo.


        :param user_org_info: The user_org_info of this UserInfo.  # noqa: E501
        :type: list[UserInfoUserOrgInfo]
        """

        self._user_org_info = user_org_info

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(UserInfo, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, UserInfo):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
